Bug 373159 - Kmail 5.3.0 does not show HTML Mails anymore
Summary: Kmail 5.3.0 does not show HTML Mails anymore
Status: RESOLVED WORKSFORME
Alias: None
Product: kdepim
Classification: Applications
Component: messageviewer (show other bugs)
Version: 5.4.*
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-01 20:25 UTC by Axel Braun
Modified: 2019-05-22 21:30 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2016-12-01 20:25:10 UTC
I have ugraded KMail 4.14.10 to 5.3.0 in the context of system upgrade to Leap 42.2
I have a couple of Newsletters I use to read in HTML.
The mail addresses are in the addressbook, loading external content is enabled, and the default display mode is HTML.
That worked nicely in Leap 42.1./KMail 4.14.10
After upgrade to 42.2 /KMail 5.3.0 it does not work any longer. I checked all settings but no change compared to before.
When right-click on the address and add 'load external content' it adds the Email *again* to the addressbok - Email address is now 3 times in address-book (but still has no impact).
Settings (display and load) cant be maintained in addressbook (dependency/package missing?)
Comment 1 Maxim Vasilyev 2016-12-17 08:42:18 UTC
I have exactly the same issue with my KDE Neon setup. It didn't change after upgrading to Kde Apps 16.12, Kmail still doesn't honor the "Prefer HTML to plain text" setting in message list. After restarting Kmail, this setting is ignored, however, when I recheck it in Kmail settings, and press "Apply", it gets instantly applied.
Previous bug 366002 is now resolved fixed but, this issue is 100% reproductible for me.
Comment 2 Denis Kurz 2017-01-08 16:18:32 UTC
The same happens here on 16.12.0. Preferring HTML over plaintext globally works fine (Preferences -> Security tab), but sender-specific preferences do not work anymore. I'm also no longer able to switch between HTML/plaintext via shortcut (Shift+H in my case), or by clicking the HTML sidebar inside the message pane. I wasn't able to find HTML related settings for the contacts in question in kaddressbook.
Comment 3 Till Schäfer 2017-01-09 15:27:13 UTC
This is maybe related to: 
* Bug 363027 - KMail2 5.3.1: Per folder HTML settings are not working
* Bug 363024 - Kontact 16.12.0: New contact editor misses options to display messages in HTML
Comment 4 Axel Braun 2017-04-12 15:56:41 UTC
Problem is still in 5.4.3
Comment 5 Laurent Montel 2019-05-21 05:54:56 UTC
Still valid in last version ?
Comment 6 Axel Braun 2019-05-21 21:56:20 UTC
(In reply to Laurent Montel from comment #5)
> Still valid in last version ?

I have kontact 5.11.1, and that looks good. I think we can close this bug, unless someone else reports a problem
Comment 7 Christophe Giboudeaux 2019-05-22 21:30:35 UTC
Thanks for the feedback.